	foreach (new h : Player)
	{
		if (RuletkaStol[h] == stoll)
		{
			DestroyObject(Fishka[h]);
			Fishka[h] = CreateObject(1913,fishechkax[h],fishechkay[h],fishechkaz[h],0.00,0.00,0.00);
			Upravakazino[h]	=	true;
			new
				summaVigrisha;
			if (RuletTip[h] <= 37 && RuletTip[h] >= 1)
			{
				if ((RuletTip[h] - 1) == ruletikF)
				{
					summaVigrisha = RuletSum[h] * 2;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if(RuletTip[h] == 38 || RuletTip[h] == 39)
			{
				if (Slotrulet1 == 1 && RuletTip[h]==38)
				{
					summaVigrisha = RuletSum[h] * 2;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else if (Slotrulet1 == 2 && RuletTip[h]	==	39)
				{
					summaVigrisha = RuletSum[h] * 2;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if (RuletTip[h] == 40) // 1 proverka
			{
				if (ruletikF >=	1 && ruletikF	<=	12)
				{
					summaVigrisha = RuletSum[h] * 4;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if (RuletTip[h] == 41) // 2 proverka
			{
				if (ruletikF >=13 && ruletikF<=24)
				{
					summaVigrisha = RuletSum[h] * 4;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if (RuletTip[h] == 42) // 3 proverka
			{
				if (ruletikF >=25 && ruletikF<=36)
				{
					summaVigrisha = RuletSum[h] * 4;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if (RuletTip[h] == 43) // 4 proverka
			{
				if (ruletikF >=1 && ruletikF<=18)
				{
					summaVigrisha = RuletSum[h] * 2;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if (RuletTip[h] == 44) // 5 proverka
			{
				if (ruletikF >=19 && ruletikF<=36)
				{
					summaVigrisha = RuletSum[h] * 2;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if (RuletTip[h] == 45) // 6 proverka
			{
				if (ruletikF == 2 || ruletikF == 4 || ruletikF == 6 || ruletikF == 8 || ruletikF == 10 || ruletikF == 12 || ruletikF == 14 || ruletikF == 16 || ruletikF == 18 || ruletikF == 20 || ruletikF == 22 || ruletikF == 24 || ruletikF == 26 || ruletikF == 28 || ruletikF == 30 || ruletikF == 32 || ruletikF == 34 || ruletikF == 36)
				{
					summaVigrisha = RuletSum[h] * 2;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if (RuletTip[h] == 46) // 7 proverka
			{
				if (ruletikF == 1 || ruletikF == 3 || ruletikF == 5 || ruletikF == 7 || ruletikF == 9 || ruletikF == 11 || ruletikF == 13 || ruletikF == 15 || ruletikF == 17 || ruletikF == 19 || ruletikF == 21 || ruletikF == 23 || ruletikF == 25 || ruletikF == 27 || ruletikF == 29 || ruletikF == 31 || ruletikF == 33 || ruletikF == 35)
				{
					summaVigrisha = RuletSum[h] * 2;
					PlayerInfo[h][pCash] += summaVigrisha;
					SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
				}
				else SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
			}
			else if (RuletTip[h] ==47)
			{
				switch(ruletikF)
				{
					case 3,6,9,12,15,18,21,24,27,30,33,36:
					{
						summaVigrisha = RuletSum[h] * 3;
						PlayerInfo[h][pCash] += summaVigrisha;
						SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
					}
					default: SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
				}
			}
			else if (RuletTip[h] ==48)
			{
				switch(ruletikF)
				{
					case 2,5,8,11,14,17,20,23,26,29,32,35:
					{
						summaVigrisha = RuletSum[h] * 3;
						PlayerInfo[h][pCash] += summaVigrisha;
						SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
					}
					default: SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
				}
			}
			else if (RuletTip[h] ==49)
			{
				switch(ruletikF)
				{
					case 1,4,7,10,13,16,19,22,25,28,31,34:
					{
						summaVigrisha = RuletSum[h] * 3;
						PlayerInfo[h][pCash] += summaVigrisha;
						SendMes(h, COLOR_YELLOW, "Выпало число %d. Вы выйграли %d вирт!",ruletikF,summaVigrisha);
					}
					default: SendMes(h, COLOR_YELLOW, "Выпало число %d. Ваша ставка не сыграла!",ruletikF);
				}
   			}
   			RuletTip[h] 	=	0;
			RuletSum[h] 	=	0;
		}
	}
	return 1;
